<!-- [![DOI]()]() -->
[![PyPI version](https://badge.fury.io/py/ephyspy.svg)](https://badge.fury.io/py/ephyspy)
[![Contributions welcome](https://img.shields.io/badge/contributions-welcome-brightgreen.svg?style=flat)](https://github.com/berenslab/ephyspy/blob/main/CONTRIBUTING.md)
[![Tests](https://github.com/berenslab/ephyspy/workflows/Tests/badge.svg?branch=main)](https://github.com/berenslab/ephyspy/actions)
[![codecov](https://codecov.io/gh/berenslab/ephyspy/branch/main/graph/badge.svg)](https://codecov.io/gh/berenslab/ephyspy)
[![GitHub license](https://img.shields.io/github/license/berenslab/ephyspy)](https://github.com/berenslab/ephyspy/blob/main/LICENSE.txt)
[![Documentation Status](https://readthedocs.org/projects/ephyspy/badge/?version=latest)](https://ephyspy.readthedocs.io/en/latest/?badge=latest)

# EphysPy

### Package to extract electrophysiological features from current clamp experiments.

This package provides an API to extract a multitude of features from voltage clamp recordings with the help of the [AllenSDK](https://allensdk.readthedocs.io/en/latest/allensdk.ephys.html). 

### Installation
The package can be installed via `pip install ephyspy`.
Alternatively, clone the package with `https://github.com/berenslab/ephyspy.git` and install using pip via `pip install -e ./ephyspy`.

### Getting started
To get started see [`example.ipynb`](https://github.com/berenslab/ephyspy/blob/main/example.ipynb).

### Documentation
All documentation can be found [here](https://ephyspy.readthedocs.io/en/latest).

### Acknowledgments
This package builds on previous work by @ybernaerts, which was part of the [Phenotypic variation of transcriptomic cell types in mouse motor cortex atlas](https://github.com/berenslab/mini-atlas) and the [AllenSDK](https://allensdk.readthedocs.io/en/latest/allensdk.ephys.html).